#include <stdio.h>
#include <stdlib.h>

void isPossible(int a1, int a2, char c1, char c2){
    if((a1 == a2 || a1-a2 == 1 || a2-a1 == 1) && c1!=c2){
        if(a1>a2){
               for(int i=0;i<a2;i++)
                    printf("%c%c",c1,c2);
               printf("%c",c1);
        }else{
        if(a1<a2){
               for(int i=0;i<a1;i++)
                    printf("%c%c",c2,c1);
               printf("%c",c2);
        }else{
                for(int i=0;i<a1;i++)
                    printf("%c%c",c1,c2);
            }
        }
    }
    else
        printf("nemoguce");
}

int main()
{
    char c1, c2;
    int a1,a2;
    scanf("%c %c",&c1,&c2);
    scanf("%i %i",&a1,&a2);

    isPossible(a1,a2,c1,c2);

    return 0;
}